package com.fjhx.common.utils;

import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.framework.mybatis.holder.TenantHolder;

import java.util.List;
import java.util.Objects;

public class AuthorityUtils {

    /**
     * 是000000租户且角色是高级权限的可看所有数据
     */
    private static boolean authorityFilter() {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        String tenantId = user.getTenantId();
        List<SysRole> sysRoleList = user.getRoles();
        for (SysRole sysRole : sysRoleList) {
            if (Objects.equals(sysRole.getAuthorityLv(), 99) && Objects.equals(tenantId, "000000")) {
                return true;
            }
        }
        return false;
    }

    public static void filterSta() {
        if (authorityFilter()) {
            TenantHolder.setIgnore(true);
        } else {
            TenantHolder.clear();
        }
    }
}
